#include "NullAudioInterface.h"
#include "FileLogger.h"

#include "AudioSynth.h"

#include <vector>

NullAudioInterface::NullAudioInterface()
{

}

NullAudioInterface::~NullAudioInterface()
{

}

std::unique_ptr<NullAudioInterface> NullAudioInterface::Create()
{
    return std::make_unique<NullAudioInterface>();
}

void NullAudioInterface::openDevice(AudioDevice* device)
{

}

void NullAudioInterface::play(AudioDevice* device, AudioSample* sample, unsigned duration)
{

}
